<%@ taglib uri="cmb" prefix="cmb" %>

<%@ page import="com.ibm.mm.beans.*" %>
<%@ page import="com.ibm.mm.beans.workflow.*" %>

<%
    CMBConnection connection = new CMBConnection();
    connection.setServerName("cmbdb");
    connection.setUserid("cmbadmin");
    connection.setPassword("password");
    connection.connect();
    request.setAttribute("actionlist","actionlist1");
    CMBWorkFlowQueryService wfQueryServiceBean=connection.getWorkFlowQueryService();
    session.setAttribute("wfQueryServiceBean",wfQueryServiceBean);
    CMBWorkFlowDataManagement wfDataMgtBean=connection.getWorkFlowDataManagement();
    String newWorkflowName=wfDataMgtBean.createProcessInstance("wfn","workflow1","new work flow");
    System.out.println("workflows.jsp: newworkflowname=" + newWorkflowName);
    CMBWorkFlowContainer wfcontainer=wfQueryServiceBean.getContainer(newWorkflowName);
    wfDataMgtBean.start(newWorkflowName,wfcontainer);
%>

<html>
	<head>
		<title>WorkFlow Actions Tag Test</title>
	</head>
	<body bgcolor="white">
       <h2>WorkFlow Actions</h2>
	<table border=2 cellspacing=3 cellpadding=3>
		<tr>
			<td><b>WorkFlow Action Name</b></td>
			<td><b>Description</b></td>
			<td><b>Prompt</b></td>
			<td><b>User Exit Class Name</b></td>

		</tr>
  		<cmb:workflowactions>
	  	<tr>
			<td><%= workflowaction.getName() %></td>
			<td><%= workflowaction.getDescription() %></td>
			<td><%= workflowaction.getPrompt() %></td>
			<td><%= workflowaction.getUserExitClassName() %></td>
		</tr>
		</cmb:workflowactions>
  	</table>
	</body>
</html>

