' @copyright(disclaimer) 
' Licensed Materials - Property of IBM
' IBM  Enterprise Information Portal for Multiplatforms V8.1  (program number 5724-B43)
' (c ) Copyright IBM Corp. 1998,  2002. All Rights Reserved.
' 
' US Government Users Restricted Rights
' Use, duplication or disclosure restricted by GSA ADP Schedule
' Contract with IBM Corp.
' 
' DISCLAIMER OF WARRANTIES :
' 
' Permission is granted to copy and modify this Sample code, and to
' distribute modified versions provided that both the copyright
' notice,- and this permission notice and warranty disclaimer appear in all copies and 
' modified versions. 
' 
' THIS SAMPLE CODE IS LICENSED TO YOU AS-IS. 
' IBM AND ITS SUPPLIERS AND LICENSORS DISCLAIM ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, 
' IN SUCH SAMPLE CODE, INCLUDING THE WARRANTY OF NON-INFRINGEMENT AND THE IMPLIED 
' WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL 
' IBM OR ITS LICENSORS OR SUPPLIERS BE LIABLE FOR ANY DAMAGES ARISING OUT OF THE USE OF OR 
' INABILITY TO USE THE SAMPLE CODE, DISTRIBUTION OF THE SAMPLE CODE, OR COMBINATION OF THE 
' SAMPLE CODE WITH ANY OTHER CODE. IN NO EVENT SHALL IBM OR ITS LICENSORS AND 
' SUPPLIERS BE LIABLE FOR ANY LOST REVENUE, LOST PROFITS OR DATA, OR FOR DIRECT, INDIRECT, 
' SPECIAL, CONSEQUENTIAL,INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF 
' THE THEORY OF LIABILITY,-, EVEN IF IBM OR ITS LICENSORS OR SUPPLIERS HAVE BEEN ADVISED 
' OF THE POSSIBILITY OF SUCH DAMAGES.
'
' @endCopyright
VERSION 5.00
Begin VB.Form ProcessRes
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Search Results"
   ClientHeight    =   3876
   ClientLeft      =   36
   ClientTop       =   264
   ClientWidth     =   5688
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3876
   ScaleWidth      =   5688
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox Convert
      Caption         =   "Perform EBCDIC to ASCII conversion"
      Height          =   372
      Left            =   1080
      TabIndex        =   2
      Top             =   2640
      Width           =   3132
   End
   Begin VB.CommandButton Retrieve
      Caption         =   "&Retrieve"
      Height          =   492
      Left            =   1080
      TabIndex        =   1
      Top             =   3240
      Width           =   3132
   End
   Begin VB.ListBox HitList
      Columns         =   40
      Height          =   2160
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   5172
   End
End
Attribute VB_Name = "ProcessRes"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim MaxCount As Integer
Dim ddos(1 To 10) As DXDDOOD

Public Sub ProcessResults(rsCursor As DXResultSetCursorOD)
  MaxCount = 10
  Dim cnt As Integer
  Dim count As Integer
  count = rsCursor.cardinality
  If count > MaxCount Then
    count = MaxCount
  End If
  cnt = 0

  ' First retrieve the documents/folders from the results collection
  Dim ddo As DXDDOOD
  Do While rsCursor.isValid And cnt < count
    Set ddo = rsCursor.fetchNext
    'ddo.retrieve
    cnt = cnt + 1
    Set ddos(cnt) = ddo
    'Display the data
    If Not (ddo Is Nothing) Then
     DisplayDDO ddo, cnt
    End If
  Loop                             ' end do while cursor.more
End Sub

Public Sub DisplayDDO(ddo As DXDDOOD, cnt As Integer)

  Dim ItemType As Integer, count As Integer, i As Integer
  Dim pid As DXPidOD
  Dim strPidString As String
  Dim dataName As String
  Dim data As Variant
  Dim dataObj As Object
  Dim aVar As Variant
  Dim SearchResults As String
  aVar = ddo.getPropertyByName(DX_OD_PROPERTY_ITEM_TYPE)
  ItemType = aVar
  Set pid = ddo.getPidObject
  strPidString = pid.pidString
  Select Case ItemType
    Case DX_OD_DOCUMENT
      count = ddo.dataCount
      HitList.Columns = count
      For i = 1 To count
        dataName = ddo.getDataName(i)
        If dataName <> DX_OD_DKPARTS And _
           dataName <> DX_OD_DKVIEWDATA And _
           dataName <> DX_OD_DKFIXEDVIEWDATA And _
           dataName <> DX_OD_DKRESOURCE And _
           dataName <> DX_OD_DKPERMISSION Then
         data = ddo.GetData(i)
         If VarType(data) = vbString Or VarType(data) = vbInteger Or _
            VarType(data) = vbLong Or VarType(data) = vbShort Then
           'SearchResults = SearchResults & "attribute name: " & dataName & vbTab
           'SearchResults = SearchResults & "value: " & data & vbTab
           If i = 1 Then
             SearchResults = data
           Else
             SearchResults = SearchResults & vbTab & data
           End If
         End If
        End If
      Next                         ' end for i = 1 to count
      HitList.AddItem SearchResults
  End Select

End Sub

Private Sub HitList_DblClick()
  Dim doc As New ProcessDoc  'create text box
  doc.DisplayDDO ddos(HitList.ListIndex + 1), Convert.Value
  doc.Show
End Sub

Private Sub Retrieve_Click()
  Dim doc As New ProcessDoc  'create text box
  If HitList.ListIndex >= 0 Then
    doc.DisplayDDO ddos(HitList.ListIndex + 1), Convert.Value
  End If
  doc.Show
End Sub
